apm821xx: add linux kernel 5.4 testing support
[openwrt/staging/chunkeey.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_USE_VERSION_8
6 help
7 Select the version of gcc you wish to use.
8
9 config GCC_USE_VERSION_5
10 bool "gcc 5.x"
11 depends on !arc
12
13 config GCC_USE_VERSION_7
14 bool "gcc 7.x"
15 depends on !arc
16
17 config GCC_USE_VERSION_8
18 bool "gcc 8.x"
19
20 config GCC_USE_VERSION_9
21 bool "gcc 9.x"
22 endchoice
23
24 config GCC_USE_GRAPHITE
25 bool
26 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
27
28 config EXTRA_GCC_CONFIG_OPTIONS
29 string
30 prompt "Additional gcc configure options" if TOOLCHAINOPTS
31 default ""
32 help
33 Any additional gcc options you may want to include....
34
35 config GCC_DEFAULT_PIE
36 bool
37 prompt "Build executable with PIE enabled by default" if TOOLCHAINOPTS
38 depends on !GCC_USE_VERSION_5
39 default n
40 help
41 Use gcc configure option --enable-default-pie to turn on -fPIE and -pie by default.
42
43 config GCC_DEFAULT_SSP
44 bool
45 prompt "Build executable with Stack-Smashing Protection enabled by default" if TOOLCHAINOPTS
46 default n
47 help
48 Use gcc configure option --enable-default-ssp to turn on -fstack-protector-strong by default.
49
50 config GCC_LIBSSP
51 bool
52 prompt "Build gcc libssp" if TOOLCHAINOPTS
53 depends on !USE_MUSL
54 default y if !USE_MUSL
55 help
56 Enable Stack-Smashing Protection support
57
58 config SJLJ_EXCEPTIONS
59 bool
60 prompt "Use setjump()/longjump() exceptions" if TOOLCHAINOPTS
61 default n
62 help
63 Use old setjump()/longjump() exceptions instead of the newer
64 frame unwinding exceptions handling routines. Warning: increases
65 code size and runtime memory usage.
66
67 config INSTALL_GFORTRAN
68 bool
69 prompt "Build/install fortran compiler?" if TOOLCHAINOPTS
70 default n
71 help
72 Build/install GNU fortran compiler ?
73
74 config INSTALL_GCCGO
75 bool
76 prompt "Build/install Go compiler?" if TOOLCHAINOPTS
77 depends on USE_GLIBC || BROKEN
78 default n
79 help
80 Build/install GNU gccgo compiler ?